Package org.multiverse.api.exceptions

## Class RetryNotAllowedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.multiverse.api.exceptions.TxnExecutionException
        - - org.multiverse.api.exceptions.RetryException
          - - org.multiverse.api.exceptions.RetryNotAllowedException

- All Implemented Interfaces:
    `Serializable`

      public class RetryNotAllowedException
      extends RetryException

  A `RetryException` thrown when a `StmUtils.retry()` or `Txn.retry()` is done while the `Txn` doesn't allow blocking transactions.

  For more information see `TxnFactoryBuilder.setBlockingAllowed(boolean)` and `TxnConfig.isBlockingAllowed()`.
  See Also:
    `TxnFactoryBuilder.setBlockingAllowed(boolean)`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RetryNotAllowedException​(String message)` | Creates a new RetryNotAllowedException with the provided message.
    `RetryNotAllowedException​(String message, Throwable cause)` | Creates a new RetryNotAllowedException with the provided message and cause.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RetryNotAllowedException

          public RetryNotAllowedException​(String message)

      Creates a new RetryNotAllowedException with the provided message.
      Parameters:
        `message` - the message

    - #### RetryNotAllowedException

          public RetryNotAllowedException​(String message,
                                          Throwable cause)

      Creates a new RetryNotAllowedException with the provided message and cause.
      Parameters:
        `message` - the message
        `cause` - the cause of this exception.